=== debian/changelog ===
ros-melodic-map-merge-3d (0.1.1-0bionic) bionic; urgency=high

  * workaround build issues in Debian Stretch and Ubuntu Artful
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Wed, 16 May 2018 22:00:00 -0000

ros-melodic-map-merge-3d (0.1.0-0bionic) bionic; urgency=high

  * Initial release
  * Contributors: Jiri Horner

 -- Jiri Horner <laeqten@gmail.com>  Wed, 16 May 2018 22:00:00 -0000
